Bug 654544 - Review Request: python-asyncmongo - An asynchronous Python MongoDB library
Summary: Review Request: python-asyncmongo - An asynchronous Python MongoDB library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-18 07:16 UTC by Silas Sewell
Modified: 2010-12-19 20:22 UTC (History)
3 users (show)

Fixed In Version: python-asyncmongo-0.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-19 20:22:19 UTC
Type: ---
karlthered: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Silas Sewell 2010-11-18 07:16:21 UTC
SPEC:
http://github.com/silas/rpms/raw/master/python-asyncmongo/python-asyncmongo.spec

SRPM:
https://github.com/downloads/silas/rpms/python-asyncmongo-0.1-1.fc13.src.rpm

Description:
AsyncMongo is an asynchronous Python library for accessing MongoDB using the 
Tornado IOLoop.

Comment 1 Haïkel Guémar 2010-11-18 17:25:14 UTC
Review (first pass)

Mandatory items:
* rpmlint output: OK (rpmlint doesn't like github https connection but the provided link works fine)
* respect package naming guidelines: OK (python package)
* respect packaging guidelines: OK (including python specific guidelines)
* licensed according an approved license: OK (Apache License 2.0)
* license field in spec matches actual license: OK (the same as stated in sources and upstream site)
* ship license file if provided by sources: irrelevant
* spec written in legible american english: OK
* provided sources checksum matches upstream: OK
bf20a01d657dbfff82131dc4eec76292320b10fe  asyncmongo-0.1.tar.gz (original from github)
bf20a01d657dbfff82131dc4eec76292320b10fe  asyncmongo-0.1.tar.gz (from src.rpm)
* compile on at least one primary architecture: OK (i386 and x86_64)
* build in mock: OK (no missing BR)
* handle properly locales: irrelevant
* noarch package: OK
* owns all directories it creates: OK
* all files listed only once in %files: OK
* files permissions correctly set: OK
* consistent use of macros: OK
* pure python module, no documentation shipped in tarball, no GUI application
* filename encoding: OK (valid UTF-8)

Non-mandatory items:
* builds in mock and is functional
* no license file shipped in source but since all source files header mention the actual license (vanilla ASL 2.0) it should not block the acceptation of the package. Anyway, i recommend packager asking upstream to add one and fix the distutils PKG-INFO file (the license field says UNKNOWN).

Looks fine, i'll leave some time for our fellow packagers comment this review and a second pass review.

Comment 2 Silas Sewell 2010-11-19 20:07:21 UTC
Created request for LICENSE file: https://github.com/bitly/asyncmongo/issues/issue/1

Comment 3 Silas Sewell 2010-11-19 20:54:53 UTC
The above was fixed in the following revision and should reflected in the next release:
https://github.com/bitly/asyncmongo/commit/afcdfda801f86fcfd30f3686872685bee4130cf4

Comment 4 Haïkel Guémar 2010-11-19 21:58:32 UTC
According to python packaging guidelines [1], python2 modules should set BR to python2-devel (actual python-devel packages provides both). Though it's not (yet?) mandatory, i recommend you set BR to python2-devel instead of python-devel for F13+ [2]. But it's up to you and should not block the review.
The same goes for the license file, since it has already been fixed upstream, it could wait the next release.


I hereby approve python-asyncmongo into fedora packages collection.


[1] http://fedoraproject.org/wiki/Packaging:Python#BuildRequires 
[2] if you plan to maintain EPEL branches, ask EPEL guys first

Comment 5 Silas Sewell 2010-11-22 19:29:52 UTC
New Package CVS Request
=======================
Package Name: python-asyncmongo
Short Description: Asynchronous Python MongoDB library
Owners: silas
Branches: F-13 F-14 EL-6
InitialCC:

Comment 6 Jason Tibbitts 2010-11-23 16:02:34 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-11-29 00:01:10 UTC
python-asyncmongo-0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-asyncmongo-0.1-1.fc14

Comment 8 Fedora Update System 2010-11-29 00:07:09 UTC
python-asyncmongo-0.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-asyncmongo-0.1-1.fc13

Comment 9 Fedora Update System 2010-11-29 21:33:14 UTC
python-asyncmongo-0.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-asyncmongo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-asyncmongo-0.1-1.fc13

Comment 10 Fedora Update System 2010-12-19 20:22:14 UTC
python-asyncmongo-0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-12-19 20:22:26 UTC
python-asyncmongo-0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.